curl --request POST \
--url https://api.eflow.team/v1/networks/affiliates \
--header 'Content-Type: application/json' \
--header 'X-Eflow-Api-Key: <api-key>' \
--data '
{
"name": "DocTest Affiliate",
"account_status": "active",
"network_employee_id": 2,
"default_currency_id": "USD",
"billing": {
"billing_frequency": "monthly",
"payment_type": "none",
"details": {
"day_of_month": 1
},
"billing": {}
}
}
'{
"network_affiliate_id": 36,
"network_id": 1,
"name": "DocTest Affiliate",
"account_status": "active",
"network_employee_id": 2,
"internal_notes": "",
"has_notifications": true,
"network_traffic_source_id": 0,
"account_executive_id": 0,
"adress_id": 0,
"default_currency_id": "USD",
"is_contact_address_enabled": false,
"enable_media_cost_tracking_links": false,
"time_created": 1774701138,
"time_saved": 1774701138,
"relationship": {
"labels": {
"total": 0,
"entries": []
},
"users": {
"total": 0,
"entries": []
},
"account_manager": {
"first_name": "John",
"last_name": "Doe",
"email": "john.doe@example.com",
"work_phone": "9781243585",
"cell_phone": "",
"instant_messaging_id": 0,
"instant_messaging_identifier": ""
},
"encoded_value": "2LQC3F",
"network_affiliate_tier_id": 1,
"ios_app_sources": {
"total": 0,
"entries": []
}
},
"referrer_id": 0
}Affiliates
Create Affiliate
POST
/
networks
/
affiliates
curl --request POST \
--url https://api.eflow.team/v1/networks/affiliates \
--header 'Content-Type: application/json' \
--header 'X-Eflow-Api-Key: <api-key>' \
--data '
{
"name": "DocTest Affiliate",
"account_status": "active",
"network_employee_id": 2,
"default_currency_id": "USD",
"billing": {
"billing_frequency": "monthly",
"payment_type": "none",
"details": {
"day_of_month": 1
},
"billing": {}
}
}
'{
"network_affiliate_id": 36,
"network_id": 1,
"name": "DocTest Affiliate",
"account_status": "active",
"network_employee_id": 2,
"internal_notes": "",
"has_notifications": true,
"network_traffic_source_id": 0,
"account_executive_id": 0,
"adress_id": 0,
"default_currency_id": "USD",
"is_contact_address_enabled": false,
"enable_media_cost_tracking_links": false,
"time_created": 1774701138,
"time_saved": 1774701138,
"relationship": {
"labels": {
"total": 0,
"entries": []
},
"users": {
"total": 0,
"entries": []
},
"account_manager": {
"first_name": "John",
"last_name": "Doe",
"email": "john.doe@example.com",
"work_phone": "9781243585",
"cell_phone": "",
"instant_messaging_id": 0,
"instant_messaging_identifier": ""
},
"encoded_value": "2LQC3F",
"network_affiliate_tier_id": 1,
"ios_app_sources": {
"total": 0,
"entries": []
}
},
"referrer_id": 0
}Create a new affiliate account. You can also include users, contact address, and labels in the same request. When
is_contact_address_enabled is true, provide the contact_address object. When adding an affiliate, you can also add a user — that part uses the same fields as the Create Affiliate User endpoint.Authorizations
Query Parameters
Body
application/json
Response
200 - application/json
Affiliate created successfully.
An affiliate (partner) account in the network.
Was this page helpful?
